Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcice_lim.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcice_lim.F90	(revision 881)
@@ -1,25 +1,25 @@
-MODULE sbcice_lim
+MODULE sbcice_lim_2
    !!======================================================================
-   !!                       ***  MODULE  sbcice  ***
+   !!                       ***  MODULE  sbcice_lim_2  ***
    !! Surface module :  update surface ocean boundary condition over ice
    !!                   covered area using LIM sea-ice model
-   !! Sea-Ice model  :  LIM Sea ice model time-stepping
+   !! Sea-Ice model  :  LIM 2.0 Sea ice model time-stepping
    !!======================================================================
-   !! History :  9.0   !  06-06  (G. Madec)  from icestp.F90
+   !! History :  9.0   !  06-06  (G. Madec)  from icestp_2.F90
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim' :                                   Lim sea-ice model
+   !!   'key_lim2' :                                  LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    !!----------------------------------------------------------------------
-   !!   sbc_ice_lim    : sea-ice model time-stepping and
+   !!   sbc_ice_lim_2  : sea-ice model time-stepping and
    !!                    update ocean sbc over ice-covered area
    !!----------------------------------------------------------------------
    USE oce             ! ocean dynamics and tracers
    USE dom_oce         ! ocean space and time domain
-   USE ice
-   USE iceini
+   USE ice_2
+   USE iceini_2
    USE ice_oce         ! ice variables
-   USE dom_ice
+   USE dom_ice_2
    USE cpl_oce
 
@@ -33,12 +33,12 @@
    USE phycst          ! Define parameters for the routines
    USE eosbn2          ! equation of state
-   USE limdyn
-   USE limtrp
-   USE limdmp
-   USE limthd
-   USE limsbc          ! sea surface boundary condition
-   USE limdia
-   USE limwri
-   USE limrst
+   USE limdyn_2
+   USE limtrp_2
+   USE limdmp_2
+   USE limthd_2
+   USE limsbc_2        ! sea surface boundary condition
+   USE limdia_2
+   USE limwri_2
+   USE limrst_2
 
    USE lbclnk
@@ -50,5 +50,5 @@
    PRIVATE
 
-   PUBLIC sbc_ice_lim ! routine called by step.F90
+   PUBLIC sbc_ice_lim_2 ! routine called by sbcmod.F90
    
    !! * Substitutions
@@ -57,5 +57,5 @@
    !!----------------------------------------------------------------------
    !!   OPA 9.0 , LOCEAN-IPSL (2006) 
-   !! $Header: /
+   !! $ Id: $
    !! Software governed by the CeCILL licence (modipsl/doc/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
@@ -63,7 +63,7 @@
 CONTAINS
 
-   SUBROUTINE sbc_ice_lim( kt, kblk )
+   SUBROUTINE sbc_ice_lim_2( kt, kblk )
       !!---------------------------------------------------------------------
-      !!                  ***  ROUTINE ice_stp  ***
+      !!                  ***  ROUTINE sbc_ice_lim_2  ***
       !!                   
       !! ** Purpose :   update the ocean surface boundary condition via the 
@@ -95,8 +95,8 @@
       IF( kt == nit000 ) THEN
          IF(lwp) WRITE(numout,*)
-         IF(lwp) WRITE(numout,*) 'sbc_ice_lim : update ocean surface boudary condition' 
-         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~   via Louvain la Neuve Ice Model (LIM) time stepping'
+         IF(lwp) WRITE(numout,*) 'sbc_ice_lim_2 : update ocean surface boudary condition' 
+         IF(lwp) WRITE(numout,*) '~~~~~~~~~~~~~   via Louvain la Neuve Ice Model (LIM) time stepping'
 
-         CALL ice_init
+         CALL ice_init_2
 
       ENDIF
@@ -161,29 +161,29 @@
          !  Ice model step  !
          ! ---------------- !
-         ;                              CALL lim_rst_opn  ( kt )      ! Open Ice restart file
-         ;                              CALL lim_dyn      ( kt )      ! Ice dynamics    ( rheology/dynamics )
-         ;                              CALL lim_trp      ( kt )      ! Ice transport   ( Advection/diffusion )
-         IF( ln_limdmp )                CALL lim_dmp      ( kt )      ! Ice damping 
-         ;                              CALL lim_thd      ( kt )      ! Ice thermodynamics 
-         ;                              CALL lim_sbc      ( kt )      ! Ice/Ocean Mass & Heat fluxes 
+         ;                              CALL lim_rst_opn_2  ( kt )      ! Open Ice restart file
+         ;                              CALL lim_dyn_2      ( kt )      ! Ice dynamics    ( rheology/dynamics )
+         ;                              CALL lim_trp_2      ( kt )      ! Ice transport   ( Advection/diffusion )
+         IF( ln_limdmp )                CALL lim_dmp_2      ( kt )      ! Ice damping 
+         ;                              CALL lim_thd_2      ( kt )      ! Ice thermodynamics 
+         ;                              CALL lim_sbc_2      ( kt )      ! Ice/Ocean Mass & Heat fluxes 
          IF( MOD( kt+nn_fsbc-1, ninfo ) == 0 .OR.   &
-            &  ntmoy == 1 )             CALL lim_dia      ( kt )      ! Ice Diagnostics 
-         ;                              CALL lim_wri      ( kt )      ! Ice outputs 
-         IF( lrst_ice )                 CALL lim_rst_write( kt )      ! Ice restart file 
+            &  ntmoy == 1 )             CALL lim_dia_2      ( kt )      ! Ice Diagnostics 
+         ;                              CALL lim_wri_2      ( kt )      ! Ice outputs 
+         IF( lrst_ice )                 CALL lim_rst_write_2( kt )      ! Ice restart file 
          !
       ENDIF
       !
-   END SUBROUTINE sbc_ice_lim
+   END SUBROUTINE sbc_ice_lim_2
 
 #else
    !!----------------------------------------------------------------------
-   !!   Default option           Dummy module          NO LIM sea-ice model
+   !!   Default option           Dummy module      NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
 CONTAINS
-   SUBROUTINE sbc_ice_lim ( kt, kblk )     ! Dummy routine
-      WRITE(*,*) 'sbc_ice_lim: You should not have seen this print! error?', kt, kblk
-   END SUBROUTINE sbc_ice_lim
+   SUBROUTINE sbc_ice_lim_2 ( kt, kblk )     ! Dummy routine
+      WRITE(*,*) 'sbc_ice_lim_2: You should not have seen this print! error?', kt, kblk
+   END SUBROUTINE sbc_ice_lim_2
 #endif
 
    !!======================================================================
-END MODULE sbcice_lim
+END MODULE sbcice_lim_2
Index: branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcmod.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/SBC/sbcmod.F90	(revision 881)
@@ -26,5 +26,5 @@
    USE sbcblk_core     ! surface boundary condition: bulk formulation : CORE
    USE sbcice_if       ! surface boundary condition: ice-if sea-ice model
-   USE sbcice_lim      ! surface boundary condition: LIM sea-ice model
+   USE sbcice_lim_2    ! surface boundary condition: LIM 2.0 sea-ice model
    USE sbccpl          ! surface boundary condition: coupled florulation
    USE sbcssr          ! surface boundary condition: sea surface restoring
@@ -228,5 +228,5 @@
       CASE(  1 )   ;         CALL sbc_ice_if ( kt )                  ! Ice-cover climatology ("Ice-if" model)
          !                                                           ! (update heat and freshwater fluxes)
-      CASE(  2 )   ;         CALL sbc_ice_lim( kt, nsbc )            ! LIM ice model
+      CASE(  2 )   ;         CALL sbc_ice_lim_2( kt, nsbc )          ! LIM 2.0 ice model
       END SELECT                                                     ! (update all fluxes using bulk + LIM)
 
Index: branches/dev_001_SBC/NEMO/OPA_SRC/TRA/traadv_cen2.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/TRA/traadv_cen2.F90	(revision 881)
@@ -161,5 +161,5 @@
                   rnfmsk(ji,jj) * rnfmsk_z(jk),      &  ! near runoff mouths (& closed sea outflows)
                   upsmsk(ji,jj)                      &  ! some of some straits
-#if defined key_ice_lim
+#if defined key_lim2
                   !                                     ! below ice covered area (if tn < "freezing"+0.1 )
                   , MAX(  0., SIGN( 1., fzptn(ji,jj) + 0.1 - tn(ji,jj,jk) )  ) * tmask(ji,jj,jk)   &
Index: branches/dev_001_SBC/NEMO/OPA_SRC/cpl_oce.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/cpl_oce.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/cpl_oce.F90	(revision 881)
@@ -218,5 +218,5 @@
       qsrc           !: solar radiation (w m-2)
 
-#  if defined key_ice_lim
+#  if defined key_lim2
    REAL(wp), DIMENSION(jpi,jpj) ::   &  !:
       watm        ,    &  !:
Index: branches/dev_001_SBC/NEMO/OPA_SRC/ice_oce.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/ice_oce.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/ice_oce.F90	(revision 881)
@@ -11,7 +11,7 @@
    !! This software is governed by the CeCILL licence see modipsl/doc/NEMO_CeCILL.txt 
    !!----------------------------------------------------------------------
-#if defined key_ice_lim
+#if defined key_lim2
    !!----------------------------------------------------------------------
-   !!   'key_ice_lim'   :                                     LIM ice model
+   !!   'key_lim2'   :                                    LIM 2.0 ice model
    !!----------------------------------------------------------------------
    !! * Modules used
@@ -46,5 +46,5 @@
 #else
    !!----------------------------------------------------------------------
-   !!   Default option                                 NO LIM sea-ice model
+   !!   Default option                             NO LIM 2.0 sea-ice model
    !!----------------------------------------------------------------------
    LOGICAL, PUBLIC, PARAMETER ::   lk_ice_lim = .FALSE.  !: No LIM ice model
Index: branches/dev_001_SBC/NEMO/OPA_SRC/restart.F90
===================================================================
--- branches/dev_001_SBC/NEMO/OPA_SRC/restart.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/OPA_SRC/restart.F90	(revision 881)
@@ -193,5 +193,5 @@
       !!----------------------------------------------------------------------
       REAL(wp) ::   zcoef, zkt, zrdt, zrdttra1, zndastp
-#if defined key_ice_lim
+#if defined key_lim2
       INTEGER  ::   ji, jj
 #endif
Index: branches/dev_001_SBC/NEMO/TOP_SRC/TRP/trcadv_cen2.F90
===================================================================
--- branches/dev_001_SBC/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 880)
+++ branches/dev_001_SBC/NEMO/TOP_SRC/TRP/trcadv_cen2.F90	(revision 881)
@@ -164,5 +164,5 @@
                zind(ji,jj,jk) =  MAX ( upsrnfh(ji,jj) * upsrnfz(jk),     &  ! changing advection scheme near runoff
                   &                    upsadv(ji,jj)                     &  ! in the vicinity of some straits
-#if defined key_ice_lim
+#if defined key_lim2
                   &                  , tmask(ji,jj,jk)                   &  ! half upstream tracer fluxes
                   &                  * MAX( 0., SIGN( 1., fzptn(ji,jj)   &  ! if tn < ("freezing"+0.1 )
